function tick()
	local shapes = FindShapes('clear')
	if #shapes>0 then
		for _,shape in ipairs(shapes)do
			local body = GetShapeBody(shape)
			local bodyShapes = GetBodyShapes(body)
			if #bodyShapes==1 then
				Delete(shape)
			else
				local dontDelete=false
				for i,v in ipairs(bodyShapes)do
					if not HasTag(v,'clear')then
						if GetShapeVoxelCount(v)>0 then
							dontDelete=true
							break
						end
					end
				end
				if not dontDelete then
					Delete(shape)
				end
			end
		end
	end
end